Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.search.parse
Class Msg

    java.lang.Object
      org.crosswire.common.util.MsgBase
          org.crosswire.jsword.book.search.parse.Msg

     class Msg

extends MsgBase

Compile safe Msg resource settings.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: Msg.java,v 1.10 2004/10/09 21:45:05 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Field Summary
`(package private) static Msg` | `ADD_BLANK`
`(package private) static Msg` | `BLUR_BLANK`
`(package private) static Msg` | `BLUR_FORMAT`
`(package private) static Msg` | `ENGINE_SYNTAX`
`(package private) static Msg` | `GRAMMAR_BLANK`
`(package private) static Msg` | `GRAMMAR_WORD`
`(package private) static Msg` | `ILLEGAL_PASSAGE`
`(package private) static Msg` | `LEFT_BRACKETS`
`(package private) static Msg` | `LEFT_PARAM`
`(package private) static Msg` | `NO_THESAURUS`
`(package private) static Msg` | `REMOVE_BLANK`
`(package private) static Msg` | `RETAIN_BLANK`
`(package private) static Msg` | `RIGHT_BRACKETS`
`(package private) static Msg` | `RIGHT_PARAM`
`(package private) static Msg` | `SINGLE_PARAM`
`(package private) static Msg` | `STARTS_BLANK`
`(package private) static Msg` | `STARTS_WORD`
`(package private) static Msg` | `UNMATCHED_ESCAPE`

Constructor Summary
`private` | `Msg(String name)` Passthrough ctor

Method Summary

Methods inherited from class org.crosswire.common.util.MsgBase
`loadResources, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADD_BLANK

    static final Msg ADD_BLANK

### RIGHT_PARAM

    static final Msg RIGHT_PARAM

### RIGHT_BRACKETS

    static final Msg RIGHT_BRACKETS

### LEFT_PARAM

    static final Msg LEFT_PARAM

### LEFT_BRACKETS

    static final Msg LEFT_BRACKETS

### STARTS_WORD

    static final Msg STARTS_WORD

### STARTS_BLANK

    static final Msg STARTS_BLANK

### RETAIN_BLANK

    static final Msg RETAIN_BLANK

### REMOVE_BLANK

    static final Msg REMOVE_BLANK

### GRAMMAR_WORD

    static final Msg GRAMMAR_WORD

### GRAMMAR_BLANK

    static final Msg GRAMMAR_BLANK

### BLUR_BLANK

    static final Msg BLUR_BLANK

### BLUR_FORMAT

    static final Msg BLUR_FORMAT

### ENGINE_SYNTAX

    static final Msg ENGINE_SYNTAX

### ILLEGAL_PASSAGE

    static final Msg ILLEGAL_PASSAGE

### UNMATCHED_ESCAPE

    static final Msg UNMATCHED_ESCAPE

### SINGLE_PARAM

    static final Msg SINGLE_PARAM

### NO_THESAURUS

    static final Msg NO_THESAURUS

Constructor Detail

### Msg

    private Msg(String name)

  Passthrough ctor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD